## dspam 3.10.2+dfsg

=== contrib/plugins/thunderbird/Makefile ===
../dspam-thunderbird-extension.xpi: chrome/dspam.jar
	zip ../dspam-thunderbird-extension.xpi * chrome/dspam.jar -x Makefile -x README -x TODO
	rm chrome/dspam.jar

chrome/dspam.jar:
	cd chrome && zip -r dspam.jar content locale skin && cd ..

clean:
	rm -f ../dspam-thunderbird-extension.xpi chrome/dspam.jar

## dspam 3.9.1~rc1+git20110514.347379b+dfsg

=== debian/changelog ===
dspam (3.9.1~rc1+git20110514.347379b+dfsg-1) unstable; urgency=low

  * New git snapshot
  * Fix typo in libdspam7-drv-pgsql short description (Closes: #626608) 
  * Ensure old conffiles are correctly removed on upgrade (Closes: #626286)

 -- Julien Valroff <julien@debian.org>  Sat, 14 May 2011 08:57:43 +0200

dspam (3.9.1~rc1+git20110419.29261fb+dfsg-2) unstable; urgency=low

  * Fix typos in dspam postinst script which caused the package to be 
    uninstallable 

 -- Julien Valroff <julien@debian.org>  Sun, 08 May 2011 15:44:26 +0200

dspam (3.9.1~rc1+git20110419.29261fb+dfsg-1) unstable; urgency=low

  [ Julien Valroff ]
  * New git snapshot
  * Install all dspam_* tools setgid so that they can be used by standard
    users
  * Add symbols file for libdspam7
  * Upload to unstable

  [ Thomas Preud'homme ]
  * Fix permissions on dspam_stats and missing opt-{in,out} directories
    (Closes: #394443)

 -- Julien Valroff <julien@debian.org>  Sun, 08 May 2011 13:43:52 +0200

dspam (3.9.1~rc1+git20110312.9a9050f+dfsg-2) experimental; urgency=low

  * Add the complete MPL-1.1 text to the dspam package 
  * Update to new policy 3.9.2 (no changes needed)
  * Locks dspam system account on purge 

 -- Julien Valroff <julien@debian.org>  Sun, 10 Apr 2011 13:36:00 +0200

dspam (3.9.1~rc1+git20110312.9a9050f+dfsg-1) experimental; urgency=low

  [ Kurt B. Kaiser ]
  * debian/rules: don't use --build config option if host equals target.
  * debian/rules: dpkg-dev now handles CFLAGS.
  * Use maintainer-clean in clean target and remove any Makefile.in left over.
  * Remove libapache2-mod-auth-shadow - no longer available in unstable
  * Suggest clamav-daemon instead of recommending it.
  * Suggest dspam-webfrontend.
  * Add amavis to trusted users (Closes: #477508)
  * Use dh_lintian to install the webfrontend conffile override
  * Webfrontend improvements:
    - Delete the old, obsolete apache.conf file from the package, and
      purge it when dspam-webfrontend is purged if it is present in
      /etc/dspam/.
    - Move the html templates to /etc/dspam/templates/
    - Install the apache conf fragment as an example in dspam-webfrontend 
    - Modify apache2.conf to install a working example website. Use
      /etc/dspam/passwd, which doesn't need access to /etc/shadow.
      (Closes: #430589)
    - Clean up customize-cgi.txt and add it to README.Debian. 

  [ Julien Valroff ]
  * New upstream release
    (Closes: #418736, #491387, #505010, #514498, #577661, #445890, #383964,
    #430840, #568068)
  * Bump Standards to 3.9.1:
    - Add README.source, as per Debian Policy Manual 4.14
  * Bump debhelper compatibility to 8
  * Update/remove patches for new release
  * Add misc depends to all binary packages
  * Rewrite package descriptions
  * Use dh_prep instead of dh_clean -k
  * Drop obsolete db4 driver (Closes: #601209)
  * Update copyright information
  * Add Vcs-* and Homepage fields in control file
  * Remove useless DMUA field 
  * Add TODO.Debian file to describe planned changes to DSPAM Debian packages
  * Fix watch file to track upstream releases on new hosting location
  * Remove /var/run/dspam from dspam.dirs to make lintian happy - the init
    script makes sure the directory is created before starting dspam
  * Install examples scripts using dh_installexamples
  * Update SQL schemas and make sure the databases are updated when upgrading
    from 3.6.8 using dbconfig-common
  * Set default database name and user name to dspam for both MySQL and PgSQL
  * Make dspam-webfrontend suggest apache2
  * Remove inactive & MIA uploaders (Closes: #503488)
  * Add myself as uploader
  * Add depends on other MDAs than procmail (Closes: #506312)
  * Honour $USER in call to chmod (Closes: #505217)
  * Fix MySQL daily cronjob to work correctly when using storage profiles
  * Make MySQL daily cronjob quiet
  * Fix build-dependencies to use current automake version and use
    unversionned libmysqclient-dev
  * Drop runtime dependencies on debconf - unneeded as this package
    is "required"
  * Purge ucf database and ucf config files on package purge
  * Remove unused lintian overrides
  * Add description to all patches
  * Rewrite init script based on the current skeleton shipped in the
    initscripts package
  * Add numerical prefixes to Debian patches 
  * Fix verbose_bug build option
  * Add logrotate entry for dspam.messages and sql.errors
  * Add 'notifempty' option for logrotate
  * Fix 'hyphen-used-as-minus-sign' lintian information: escape all --
    in manpages
  * Update dspam_admin manpage to list aggregate feature
  * Makes drv-sqlite3 daily cronjob quiet if package is removed and
    not purged - thanks to Petter Reinholdtsen <pere@hungry.com>
    (Closes: #540064, #562857)
  * Converted source package to 3.0 (quilt) format
  * Add dependency to libhtml-parser-perl for the webfrontend
  * Opt Out is now the default condfiguration, as per upstream default
  * Default daemon port is set to 2424 as dspam daemon is run by an
    unprivileged user (Closes: #385760)
  * Add explicit dependency on perl
  * Fix typo in README.source
  * Fix daily cron scripts to avoid problems if the user has added
    two identical entries for certain values
    (thanks to Stevan Bajić <stevan@bajic.ch>)
  * Add automatic configuration file splitting snippet in rules
    (thanks to Stevan Bajić <stevan@bajic.ch>)
  * Make use of dspam_maintenance.sh script instead of homemade purge scripts
  * Only ships SQL files for MySQL >= 4.1 as no older version is available
    in Debian
  * Add dspam_notify script in dspam-webfrontend to send automatic quarantine
    email notification
  * Add debug package which ships debugging symbols
  * Switch to dh style rules file
  * Repack upstream tarball to make DFSG clean sources and add explanations to
    README.source file

 -- Julien Valroff <julien@debian.org>  Mon, 28 Mar 2011 15:04:10 +0200

dspam (3.6.8-9.3) unstable; urgency=low



=== debian/control ===
Source: dspam
Section: mail
Priority: optional
Maintainer: Debian DSPAM Maintainers <pkg-dspam-misc@lists.alioth.debian.org>
Uploaders: Julien Valroff <julien@debian.org>
Build-Depends: debhelper (>= 8),
               dh-autoreconf,
               libtool,
               automake,
               zlib1g-dev,
               libmysqlclient-dev,
               libpq-dev,
               libsqlite3-dev,
               libldap2-dev
Standards-Version: 3.9.2
Homepage: http://dspam.sourceforge.net
Vcs-Git: git://git.debian.org/pkg-dspam/dspam.git
Vcs-Browser: http://git.debian.org/?p=pkg-dspam/dspam.git;a=summary

Package: dspam
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}, procmail | maildrop | courier-maildrop | sensible-mda, lsb-base (>= 3.0-6)
Recommends: dspam-doc
Suggests: clamav-daemon, dspam-webfrontend
Description: Scalable, fast and statistical anti-spam filter
 DSPAM is a dedicated statistical filter with minimal resources. It includes
 many new algorithms to fight against spam including:
  * Concept Identification
  * Message Inoculation
  * Advanced de-obfuscation techniques
  * Bayesian Noise Reduction
 .
 This package includes the DSPAM agent which provides.

Package: dspam-webfrontend
Priority: extra
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, dspam (>= ${source:Version}), ucf (>= 0.28), libgd-gd2-perl | libgd-gd2-noxpm-perl, libgd-graph3d-perl, libhtml-parser-perl
Suggests: apache2, apache2-suexec (>= 2.2.9-3), libapache2-mod-perl2, libapache2-mod-auth-pam | libapache2-mod-auth-mysql | libapache2-mod-auth-pgsql | libapache2-mod-auth-openid | libapache2-mod-auth-kerb | libapache2-mod-auth-plain | libapache2-mod-auth-radius | libapache2-mod-auth-sys-group, ttf-dejavu-core | ttf-bitstream-vera | ttf-freefont
Description: Webfrontend for DSPAM anti-spam filter
 DSPAM is a dedicated statistical filter with minimal resources. It includes
 many new algorithms to fight against spam including:
  * Concept Identification
  * Message Inoculation
  * Advanced de-obfuscation techniques
  * Bayesian Noise Reduction
 .
 This package includes the webfrontend for DSPAM. This can be used together
 with several database backends including PostgreSQL, MySQL, and sqlite3.

Package: libdspam7
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, adduser
Suggests: libdspam7-drv (= ${binary:Version})
Description: Core message processing and classification functionality for DSPAM
 DSPAM is a dedicated statistical filter with minimal resources. It includes
 many new algorithms to fight against spam including:
  * Concept Identification
  * Message Inoculation
  * Advanced de-obfuscation techniques
  * Bayesian Noise Reduction
 .
 This package contains the library where people can link to.

Package: libdspam7-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libdspam7 (= ${binary:Version})
Description: Development headers for libdspam
 DSPAM is a dedicated statistical filter with minimal resources. It includes
 many new algorithms to fight against spam including:
  * Concept Identification
  * Message Inoculation
  * Advanced de-obfuscation techniques
  * Bayesian Noise Reduction
 .
 This package contains the development headers for libdspam.

Package: libdspam7-drv-pgsql
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libdspam7 (= ${binary:Version}), dbconfig-common, ucf (>= 0.28), postgresql-client
Recommends: postgresql
Provides: libdspam7-drv
Description: PostgreSQL backend for DSPAM anti-spam filter
 DSPAM is a dedicated statistical filter with minimal resources. It includes
 many new algorithms to fight against spam including:
  * Concept Identification
  * Message Inoculation
  * Advanced de-obfuscation techniques
  * Bayesian Noise Reduction
 .
 This package contains the PostgreSQL backend.

Package: libdspam7-drv-mysql
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libdspam7 (= ${binary:Version}), dbconfig-common, ucf (>= 0.28), mysql-client
Recommends: mysql-server
Provides: libdspam7-drv
Description: MySQL backend for DSPAM anti-spam filter
 DSPAM is a dedicated statistical filter with minimal resources. It includes
 many new algorithms to fight against spam including:
  * Concept Identification
  * Message Inoculation
  * Advanced de-obfuscation techniques
  * Bayesian Noise Reduction
 .
 This package contains the MySQL backend.

Package: libdspam7-drv-sqlite3
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, sqlite3, libdspam7 (= ${binary:Version})
Provides: libdspam7-drv
Description: sqlite3 backend for DSPAM anti-spam filter
 DSPAM is a dedicated statistical filter with minimal resources. It includes
 many new algorithms to fight against spam including:
  * Concept Identification
  * Message Inoculation
  * Advanced de-obfuscation techniques
  * Bayesian Noise Reduction
 .
 This package contains the sqlite3 backend.

Package: dspam-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Documentation for DSPAM anti-spam filter
 DSPAM is a dedicated statistical filter with minimal resources. It includes
 many new algorithms to fight against spam including:
  * Concept Identification
  * Message Inoculation
  * Advanced de-obfuscation techniques
  * Bayesian Noise Reduction
 .
 This package contains the documentation for DSPAM.

Package: dspam-dbg
Section: debug
Architecture: any
Depends: ${misc:Depends}, dspam (= ${binary:Version})
Priority: extra
Description: debugging symbols for dspam
 DSPAM is a dedicated statistical filter with minimal resources. It includes
 many new algorithms to fight against spam including:
  * Concept Identification
  * Message Inoculation
  * Advanced de-obfuscation techniques
  * Bayesian Noise Reduction
 .
 This package includes the debugging symbols for the dspam packages.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

STORAGE = "mysql_drv,pgsql_drv,sqlite3_drv,hash_drv"

CONFIGURE = --sysconfdir=/etc/dspam \
	    --disable-dependency-tracking \
	    --enable-split-configuration \
	    --enable-static \
	    --enable-external-lookup \
	    --enable-syslog \
	    --with-logdir=/var/log/dspam/ \
	    --with-dspam-home=/var/spool/dspam \
	    --enable-domain-scale \
	    --with-delivery-agent=/usr/bin/procmail \
	    --enable-daemon \
	    --with-mysql-includes=/usr/include/mysql \
	    --with-pgsql-includes=`pg_config --includedir` \
	    --with-storage-driver=${STORAGE} \
	    --enable-debug

ifeq (,$(findstring disable_virtual_users,$(DEB_BUILD_OPTIONS)))
        CONFIGURE += --enable-virtual-users
endif
ifeq (,$(findstring disable_preferences_extension,$(DEB_BUILD_OPTIONS)))
        CONFIGURE += --enable-preferences-extension
endif
ifneq (,$(findstring verbose_debug,$(DEB_BUILD_OPTIONS)))
        CONFIGURE += --enable-verbose-debug
endif
ifeq (,$(findstring disable_clamav,$(DEB_BUILD_OPTIONS)))
        CONFIGURE += --enable-clamav
endif

# Without any effect for now due to http://bugs.debian.org/347650
export LDFLAGS+=-Wl,-z,defs -Wl,--as-needed

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
        CROSS = --build=$(DEB_HOST_GNU_TYPE)
else
        CROSS = --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
endif

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- $(CROSS) $(CONFIGURE)

	# dh_install does not support renaming
	ln contrib/dspam_maintenance/dspam_maintenance.sh contrib/dspam_maintenance/dspam_maintenance

	# make sure we use the latest SQL schemas
	cat src/tools.mysql_drv/mysql_objects-4.1.sql > debian/sqlfiles/install/mysql
	cat src/tools.mysql_drv/virtual_users.sql >> debian/sqlfiles/install/mysql
	cat src/tools.pgsql_drv/pgsql_objects.sql > debian/sqlfiles/install/pgsql
	cat src/tools.pgsql_drv/virtual_users.sql >> debian/sqlfiles/install/pgsql

	# split the main configuration file into snippets 
	cp src/dspam.conf.in src/dspam.conf.in.orig
	./debian/split-config.sh

override_dh_makeshlibs:
	dh_makeshlibs -Nlibdspam7-drv-pgsql -Nlibdspam7-drv-mysql -Nlibdspam7-drv-sqlite3 -Ndspam

override_dh_strip:
	dh_strip --dbg-package=dspam-dbg

override_dh_installinit:
	dh_installinit -- start 21 2 3 4 5 . stop 21 0 1 6 .

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) maintainer-clean

	-rm -f contrib/dspam_maintenance/dspam_maintenance

	# Remove DB schemas
	-rm -f debian/sqlfiles/install/mysql
	-rm -f debian/sqlfiles/install/pgsql

	# Remove splitted configuration files
	-rm -f src/extlookup.conf
	-rm -f src/hash.conf
	-rm -f src/mysql.conf
	-rm -f src/pgsql.conf
	-mv src/dspam.conf.in.orig src/dspam.conf.in

## dspam 3.10.1%2bdfsg

=== debian/changelog ===
dspam (3.10.1+dfsg-4ubuntu1) precise; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Use maintscript support in dh_installdeb rather than writing out
      dpkg-maintscript-helper commands by hand.  We now simply Pre-Depend on
      a new enough version of dpkg rather than using
      'dpkg-maintscript-helper supports' guards, leading to more predictable
      behaviour on upgrades.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 05 Mar 2012 14:17:08 +0000

dspam (3.10.1+dfsg-4) unstable; urgency=low

  * Apply patch from upstream to use POSIX::ctime() instead of deprecated
    ctime.pl (Closes: #658950)

 -- Julien Valroff <julien@debian.org>  Fri, 10 Feb 2012 21:55:13 +0100

dspam (3.10.1+dfsg-3ubuntu1) precise; urgency=low

  * Use maintscript support in dh_installdeb rather than writing out
    dpkg-maintscript-helper commands by hand.  We now simply Pre-Depend on a
    new enough version of dpkg rather than using 'dpkg-maintscript-helper
    supports' guards, leading to more predictable behaviour on upgrades.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 13 Feb 2012 10:39:34 +0000

dspam (3.10.1+dfsg-3build1) precise; urgency=low

  * Rebuild for libmysqlclient transition

 -- Clint Byrum <clint@ubuntu.com>  Wed, 23 Nov 2011 23:25:40 -0800

dspam (3.10.1+dfsg-3) unstable; urgency=low

  * Fix Apache configuration example (Closes: #638289) 
  * Add again ucf calls in libdspam7-drv-{mysql,pgsql}.postinst scripts: they
    are actually needed to clean files registered through dbconfig-common 

 -- Julien Valroff <julien@debian.org>  Sun, 21 Aug 2011 21:53:32 +0200

dspam (3.10.1+dfsg-2) unstable; urgency=low

  * Let libdspam7-dbg suggest libc-debug 
  * Add dspam.NEWS file to state that dspam.conf should be updated following to
    the change of location of the various backend shared objects due to
    multi-arch support
  * Let dh_installdocs automatically install debian/TODO as TODO.Debian 

 -- Julien Valroff <julien@debian.org>  Mon, 15 Aug 2011 14:59:35 +0200

dspam (3.10.1+dfsg-1) unstable; urgency=low

  [ Julien Valroff ]
  * New upstream release:
    + Update copyright information following to upstream license switch from
      GPL-2 to AGPL-3+
    + Drop patches merged upstream
  * Ensures system user is actually locked on purge, and unlocked in case
    the package is reinstalled
  * Demote various MDA's from Depends to Recommends
  * Add multiarch support:
    + Move the hash driver to as dedicated package
    + Clean .install files
    + Split debugging symbols into independent debug packages
    + Move dspam_pg2int8 to dspam (which introduces a new dependency on
    libpq5)
  * Remove useless 001_drivers-in-usr_lib_dspam patch
  * Remove useless calls to ucf in libdspam7-drv-{mysql,pgsql}.postinst
    scripts

  [ Thomas Preud'homme ]
  * Set build flags (CPPFLAGS, CFLAGS and LDFLAGS) using dpkg-buildflags.

 -- Julien Valroff <julien@debian.org>  Sat, 13 Aug 2011 08:12:05 +0200

## dspam 3.10.1+dfsg

=== debian/changelog ===
dspam (3.10.1+dfsg-3~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Julien Valroff <julien@debian.org>  Fri, 26 Aug 2011 15:56:49 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian DSPAM Maintainers <pkg-dspam-misc@lists.alioth.debian.org>
 Uploaders: Julien Valroff <julien@debian.org>
-Build-Depends: debhelper (>= 8),
+Build-Depends: debhelper (>= 8.1.3),
                dh-autoreconf,
                libtool,
                automake,
@@ -19,8 +19,8 @@
 
 Package: dspam
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}, procmail | maildrop | courier-maildrop | sensible-mda, lsb-base (>= 3.0-6)
-Recommends: dspam-doc
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}, lsb-base (>= 3.0-6), libdspam7-drv-hash (= ${binary:Version}) | libdspam7-drv-mysql (= ${binary:Version}) | libdspam7-drv-pgsql (= ${binary:Version}) | libdspam7-drv-sqlite3 (= ${binary:Version})
+Recommends: procmail | maildrop | courier-maildrop | sensible-mda, dspam-doc
 Suggests: clamav-daemon, dspam-webfrontend
 Description: Scalable, fast and statistical anti-spam filter
  DSPAM is a dedicated statistical filter with minimal resources. It includes
@@ -51,8 +51,10 @@
 Package: libdspam7
 Section: libs
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}, adduser
 Suggests: libdspam7-drv (= ${binary:Version})
+Multi-Arch: ${misc:Multi-Arch}
 Description: Core message processing and classification functionality for DSPAM
  DSPAM is a dedicated statistical filter with minimal resources. It includes
  many new algorithms to fight against spam including:
@@ -66,7 +68,9 @@
 Package: libdspam7-dev
 Section: libdevel
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, libdspam7 (= ${binary:Version})
+Multi-Arch: ${misc:Multi-Arch}
 Description: Development headers for libdspam
  DSPAM is a dedicated statistical filter with minimal resources. It includes
  many new algorithms to fight against spam including:
@@ -77,11 +81,31 @@
  .
  This package contains the development headers for libdspam.
 
+Package: libdspam7-drv-hash
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, libdspam7 (= ${binary:Version})
+Replaces: dspam (<= 3.9.1~rc1+git20110514.347379b+dfsg-1)
+Breaks: dspam (<= 3.9.1~rc1+git20110514.347379b+dfsg-1)
+Provides: libdspam7-drv
+Multi-Arch: ${misc:Multi-Arch}
+Description: Hash backend for DSPAM anti-spam filter
+ DSPAM is a dedicated statistical filter with minimal resources. It includes
+ many new algorithms to fight against spam including:
+  * Concept Identification
+  * Message Inoculation
+  * Advanced de-obfuscation techniques
+  * Bayesian Noise Reduction
+ .
+ This package contains the hash backend.
+
 Package: libdspam7-drv-pgsql
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}, libdspam7 (= ${binary:Version}), dbconfig-common, ucf (>= 0.28), postgresql-client
 Recommends: postgresql
 Provides: libdspam7-drv
+Multi-Arch: ${misc:Multi-Arch}
 Description: PostgreSQL backend for DSPAM anti-spam filter
  DSPAM is a dedicated statistical filter with minimal resources. It includes
  many new algorithms to fight against spam including:
@@ -94,9 +118,11 @@
 
 Package: libdspam7-drv-mysql
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}, libdspam7 (= ${binary:Version}), dbconfig-common, ucf (>= 0.28), mysql-client
 Recommends: mysql-server
 Provides: libdspam7-drv
+Multi-Arch: ${misc:Multi-Arch}
 Description: MySQL backend for DSPAM anti-spam filter
  DSPAM is a dedicated statistical filter with minimal resources. It includes
  many new algorithms to fight against spam including:
@@ -109,8 +135,10 @@
 
 Package: libdspam7-drv-sqlite3
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}, sqlite3, libdspam7 (= ${binary:Version})
 Provides: libdspam7-drv
+Multi-Arch: ${misc:Multi-Arch}
 Description: sqlite3 backend for DSPAM anti-spam filter
  DSPAM is a dedicated statistical filter with minimal resources. It includes
  many new algorithms to fight against spam including:
@@ -148,4 +176,22 @@
   * Advanced de-obfuscation techniques
   * Bayesian Noise Reduction
  .
- This package includes the debugging symbols for the dspam packages.
+ This package includes the debugging symbols for the dspam package.
+
+Package: libdspam7-dbg
+Section: debug
+Architecture: any
+Depends: ${misc:Depends}, libdspam7 (= ${binary:Version})
+Recommends: libdspam7-drv-hash (= ${binary:Version}), libdspam7-drv-mysql (= ${binary:Version}), libdspam7-drv-pgsql (= ${binary:Version}), libdspam7-drv-sqlite3 (= ${binary:Version})
+Suggests: libc-dbg
+Priority: extra
+Multi-Arch: ${misc:Multi-Arch}
+Description: debugging symbols for DSPAM related libraries
+ DSPAM is a dedicated statistical filter with minimal resources. It includes
+ many new algorithms to fight against spam including:
+  * Concept Identification
+  * Message Inoculation
+  * Advanced de-obfuscation techniques
+  * Bayesian Noise Reduction
+ .
+ This package includes the debugging symbols for DSPAM related libraries.

## dspam 3.10.2%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -2,24 +2,23 @@
 Section: mail
 Priority: optional
 Maintainer: Debian DSPAM Maintainers <pkg-dspam-misc@lists.alioth.debian.org>
-Uploaders: Julien Valroff <julien@debian.org>
-Build-Depends: debhelper (>= 8.1.3),
-               dh-autoreconf,
-               libtool,
-               automake,
-               zlib1g-dev,
-               libmysqlclient-dev,
-               libpq-dev,
-               libsqlite3-dev,
+Uploaders: Julien Valroff <julien@debian.org>,
+           Thomas Preud'homme <robotux@debian.org>
+Build-Depends: debhelper (>= 9.0.0), dh-autoreconf, libtool, automake,
+               zlib1g-dev, libmysqlclient-dev, libpq-dev, libsqlite3-dev,
                libldap2-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.5
 Homepage: http://dspam.sourceforge.net
-Vcs-Git: git://git.debian.org/pkg-dspam/dspam.git
-Vcs-Browser: http://git.debian.org/?p=pkg-dspam/dspam.git;a=summary
+Vcs-Git: git://anonscm.debian.org/pkg-dspam/dspam.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-dspam/dspam.git;a=summary
 
 Package: dspam
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}, lsb-base (>= 3.0-6), libdspam7-drv-hash (= ${binary:Version}) | libdspam7-drv-mysql (= ${binary:Version}) | libdspam7-drv-pgsql (= ${binary:Version}) | libdspam7-drv-sqlite3 (= ${binary:Version})
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends},
+         lsb-base (>= 3.0-6), libdspam7-drv-hash (= ${binary:Version})
+         | libdspam7-drv-mysql (= ${binary:Version})
+         | libdspam7-drv-pgsql (= ${binary:Version})
+         | libdspam7-drv-sqlite3 (= ${binary:Version})
 Recommends: procmail | maildrop | courier-maildrop | sensible-mda, dspam-doc
 Suggests: clamav-daemon, dspam-webfrontend
 Description: Scalable, fast and statistical anti-spam filter
@@ -35,8 +34,16 @@
 Package: dspam-webfrontend
 Priority: extra
 Architecture: all
-Depends: ${misc:Depends}, ${perl:Depends}, dspam (>= ${source:Version}), ucf (>= 0.28), libgd-gd2-perl | libgd-gd2-noxpm-perl, libgd-graph3d-perl, libhtml-parser-perl
-Suggests: apache2, apache2-suexec (>= 2.2.9-3), libapache2-mod-perl2, libapache2-mod-auth-pam | libapache2-mod-auth-mysql | libapache2-mod-auth-pgsql | libapache2-mod-auth-openid | libapache2-mod-auth-kerb | libapache2-mod-auth-plain | libapache2-mod-auth-radius | libapache2-mod-auth-sys-group, ttf-dejavu-core | ttf-bitstream-vera | ttf-freefont
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${perl:Depends}, dspam (>= ${source:Version}),
+         ucf (>= 0.28), libgd-gd2-perl | libgd-gd2-noxpm-perl,
+         libgd-graph3d-perl, libhtml-parser-perl
+Suggests: apache2, apache2-suexec (>= 2.2.9-3), libapache2-mod-perl2,
+          libapache2-mod-auth-pam | libapache2-mod-auth-mysql
+          | libapache2-mod-auth-pgsql | libapache2-mod-auth-openid
+          | libapache2-mod-auth-kerb | libapache2-mod-auth-plain
+          | libapache2-mod-auth-radius | libapache2-mod-auth-sys-group,
+          ttf-dejavu-core | ttf-bitstream-vera | ttf-freefont
 Description: Webfrontend for DSPAM anti-spam filter
  DSPAM is a dedicated statistical filter with minimal resources. It includes
  many new algorithms to fight against spam including:
@@ -53,8 +60,10 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}, adduser
-Suggests: libdspam7-drv (= ${binary:Version})
-Multi-Arch: ${misc:Multi-Arch}
+Suggests: libdspam7-drv-hash (= ${binary:Version})
+          | libdspam7-drv-pgsql (= ${binary:Version})
+          | libdspam7-drv-mysql (= ${binary:Version})
+          | libdspam7-drv-sqlite3 (= ${binary:Version})
 Description: Core message processing and classification functionality for DSPAM
  DSPAM is a dedicated statistical filter with minimal resources. It includes
  many new algorithms to fight against spam including:
@@ -70,7 +79,6 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, libdspam7 (= ${binary:Version})
-Multi-Arch: ${misc:Multi-Arch}
 Description: Development headers for libdspam
  DSPAM is a dedicated statistical filter with minimal resources. It includes
  many new algorithms to fight against spam including:
@@ -85,10 +93,6 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}, libdspam7 (= ${binary:Version})
-Replaces: dspam (<= 3.9.1~rc1+git20110514.347379b+dfsg-1)
-Breaks: dspam (<= 3.9.1~rc1+git20110514.347379b+dfsg-1)
-Provides: libdspam7-drv
-Multi-Arch: ${misc:Multi-Arch}
 Description: Hash backend for DSPAM anti-spam filter
  DSPAM is a dedicated statistical filter with minimal resources. It includes
  many new algorithms to fight against spam including:
@@ -102,10 +106,9 @@
 Package: libdspam7-drv-pgsql
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}, libdspam7 (= ${binary:Version}), dbconfig-common, ucf (>= 0.28), postgresql-client
+Depends: ${misc:Depends}, ${shlibs:Depends}, libdspam7 (= ${binary:Version}),
+         dbconfig-common, ucf (>= 0.28), postgresql-client
 Recommends: postgresql
-Provides: libdspam7-drv
-Multi-Arch: ${misc:Multi-Arch}
 Description: PostgreSQL backend for DSPAM anti-spam filter
  DSPAM is a dedicated statistical filter with minimal resources. It includes
  many new algorithms to fight against spam including:
@@ -119,10 +122,9 @@
 Package: libdspam7-drv-mysql
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}, libdspam7 (= ${binary:Version}), dbconfig-common, ucf (>= 0.28), mysql-client
+Depends: ${misc:Depends}, ${shlibs:Depends}, libdspam7 (= ${binary:Version}),
+         dbconfig-common, ucf (>= 0.28), mysql-client
 Recommends: mysql-server
-Provides: libdspam7-drv
-Multi-Arch: ${misc:Multi-Arch}
 Description: MySQL backend for DSPAM anti-spam filter
  DSPAM is a dedicated statistical filter with minimal resources. It includes
  many new algorithms to fight against spam including:
@@ -136,9 +138,8 @@
 Package: libdspam7-drv-sqlite3
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}, sqlite3, libdspam7 (= ${binary:Version})
-Provides: libdspam7-drv
-Multi-Arch: ${misc:Multi-Arch}
+Depends: ${misc:Depends}, ${shlibs:Depends}, sqlite3,
+         libdspam7 (= ${binary:Version})
 Description: sqlite3 backend for DSPAM anti-spam filter
  DSPAM is a dedicated statistical filter with minimal resources. It includes
  many new algorithms to fight against spam including:
@@ -182,10 +183,12 @@
 Section: debug
 Architecture: any
 Depends: ${misc:Depends}, libdspam7 (= ${binary:Version})
-Recommends: libdspam7-drv-hash (= ${binary:Version}), libdspam7-drv-mysql (= ${binary:Version}), libdspam7-drv-pgsql (= ${binary:Version}), libdspam7-drv-sqlite3 (= ${binary:Version})
+Recommends: libdspam7-drv-hash (= ${binary:Version}),
+            libdspam7-drv-mysql (= ${binary:Version}),
+            libdspam7-drv-pgsql (= ${binary:Version}),
+            libdspam7-drv-sqlite3 (= ${binary:Version})
 Suggests: libc-dbg
 Priority: extra
-Multi-Arch: ${misc:Multi-Arch}
 Description: debugging symbols for DSPAM related libraries
  DSPAM is a dedicated statistical filter with minimal resources. It includes
  many new algorithms to fight against spam including:

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# Allows easy backporting on non-multiarch aware distributions
PREPROCESS_FILES := $(wildcard debian/*.install.in)
$(PREPROCESS_FILES:.in=): %: %.in
	sed 's,@DEB_HOST_MULTIARCH@/,$(DEB_HOST_MULTIARCH:=/),g' $< > $@

# The first driver stated hear will be used as the 
# default driver in dspam.conf
STORAGE = "hash_drv,mysql_drv,pgsql_drv,sqlite3_drv"

CONFIGURE = --sysconfdir=/etc/dspam \
            --disable-dependency-tracking \
            --enable-split-configuration \
            --enable-static \
            --enable-external-lookup \
            --enable-syslog \
            --with-logdir=/var/log/dspam/ \
            --with-dspam-home=/var/spool/dspam \
            --enable-domain-scale \
            --with-delivery-agent=/usr/bin/procmail \
            --enable-daemon \
            --with-mysql-includes=/usr/include/mysql \
            --with-pgsql-includes=`pg_config --includedir` \
            --with-storage-driver=${STORAGE} \
            --enable-debug

ifeq (,$(findstring disable_virtual_users,$(DEB_BUILD_OPTIONS)))
        CONFIGURE += --enable-virtual-users
endif
ifeq (,$(findstring disable_preferences_extension,$(DEB_BUILD_OPTIONS)))
        CONFIGURE += --enable-preferences-extension
endif
ifneq (,$(findstring verbose_debug,$(DEB_BUILD_OPTIONS)))
        CONFIGURE += --enable-verbose-debug
endif
ifeq (,$(findstring disable_clamav,$(DEB_BUILD_OPTIONS)))
        CONFIGURE += --enable-clamav
endif

# Needed to not depend on debhelper >= 9 (and thus ease backports)
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
LDFLAGS+=-Wl,-z,defs -Wl,--as-needed

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

%:
	dh $@ --with autoreconf

override_dh_auto_configure: $(PREPROCESS_FILES:.in=)
	dh_auto_configure -- --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE) $(CONFIGURE)

	# dh_install does not support renaming
	ln contrib/dspam_maintenance/dspam_maintenance.sh contrib/dspam_maintenance/dspam_maintenance

	# make sure we use the latest SQL schemas
	cat src/tools.mysql_drv/mysql_objects-4.1.sql > debian/sqlfiles/install/mysql
	cat src/tools.mysql_drv/virtual_users.sql >> debian/sqlfiles/install/mysql
	cat src/tools.pgsql_drv/pgsql_objects.sql > debian/sqlfiles/install/pgsql
	cat src/tools.pgsql_drv/virtual_users.sql >> debian/sqlfiles/install/pgsql

	# split the main configuration file into snippets 
	cp src/dspam.conf.in src/dspam.conf.in.orig
	./debian/split-config.sh

override_dh_makeshlibs:
	dh_makeshlibs -Nlibdspam7-drv-hash -Nlibdspam7-drv-pgsql -Nlibdspam7-drv-mysql -Nlibdspam7-drv-sqlite3

override_dh_strip:
	dh_strip -pdspam --dbg-package=dspam-dbg
	dh_strip -plibdspam7 -plibdspam7-drv-hash -plibdspam7-drv-mysql -plibdspam7-drv-pgsql -plibdspam7-drv-sqlite3 --dbg-package=libdspam7-dbg

override_dh_installinit:
	dh_installinit -- start 21 2 3 4 5 . stop 21 0 1 6 .

ifneq (,$(DEB_HOST_MULTIARCH))
override_dh_gencontrol:
	dh_gencontrol -- -Vmisc:Multi-Arch=same
endif

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) maintainer-clean

	-rm -f contrib/dspam_maintenance/dspam_maintenance

	# Remove DB schemas
	-rm -f debian/sqlfiles/install/mysql
	-rm -f debian/sqlfiles/install/pgsql

	# Remove splitted configuration files
	-rm -f src/extlookup.conf
	-rm -f src/hash.conf
	-rm -f src/mysql.conf
	-rm -f src/pgsql.conf
	-mv src/dspam.conf.in.orig src/dspam.conf.in

	# Remove install files generated from install.in files
	-rm -f debian/libdspam7.install
	-rm -f debian/libdspam7-dev.install
	-rm -f debian/libdspam7-drv-hash.install
	-rm -f debian/libdspam-drv-mysql.install
	-rm -f debian/libdspam7-drv-pgsql.install
	-rm -f debian/libdspam7-drv-sqlite3.install

## dspam 3.10.2+dfsg

=== debian/changelog ===
dspam (3.10.2+dfsg-15) unstable; urgency=medium

  * [5b48e99] Adjust MySQL dependencies to new package names
  * [c074629] Add patch to fix PostgreSQL version check
  * [6b82408] debian/*.postrm: remove tests for ucf binary availability.
    Binary packages already depends on ucf, so those tests are unnecessary
  * [a7ae15f] Use automatically generated debug symbol packages
  * [b799bd9] Bump debhelper compatibility level to 10
  * [63b0850] Bump Standards-Version to 3.9.8

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Mon, 17 Dec 2018 16:57:33 +0100

dspam (3.10.2+dfsg-14) unstable; urgency=medium

  [ Thomas Preud'homme ]

  * [fc86be3] Adjust some dependencies to new package names (Closes: #738222)

  [ Raphaël Halimi ]

  * Adopt package:
  * [adc42e7] Set myself as sole maintainer
  * [73a9f84] debian/control: remove Vcs-* fields.
    Alioth service is discontinued; furthermore, this package has been
    removed from Debian, and is very unlikely to be reintroduced since it's
    dead upstream.
  * [b0f3bc4] debian/gbp.conf: use pristine-tar

  * Simplify debian/rules:
  * [65e305e] Get rid of the non-multiarch backporting stuff.
    This package won't be backported anymore, since it's dead upstream
  * [c312d17] Get rid of non-standard build options.
    Only non-standard configurations benefitted from those build options; if
    necessary, they can be added back by modifying debian/rules
  * [b389515] Remove dh_installinit override
    update-rc.d no longer accepts start and stop actions

  * Patches:
  * [781514f] Refresh all patches
  * [4f48ed0] Add patch to fix spelling errors in source
  * [b045d9a] Add patch to add suggested options to configure.ac
    libtoolize suggests adding "AC_CONFIG_MACRO_DIR([m4])" to keep the
    correct libtool macros in-tree; also, automake suggests using the
    "subdir-objects" option. Compilation works without these options, but
    adding them gets rid of spurious warnings.

  * Systemd support:
  * [93e6e54] Add systemd service file
    - The daemon is now disabled by default
    - Remove "START" setting from /etc/default/dspam
    - Adopt "restart-after-upgrade" behavior

  * Other changes:
  * [0b8a8fa] Fix spelling errors and typos in Debian packaging
  * [0faffbe] Remove final "exit 0" from maintainer scripts
  * [40931c6] debian/rules: enable all hardening options
  * [bf52a98] debian/copyright: minor changes
    - Wrap "Comment" section at 80 columns
    - Clarify MPL license version for contrib/plugins/*
    - Move MPL-1.1 license into a separate paragraph
  * [f68861e] dspam-doc: remove cssclean.txt (already present in dspam)
  * [716d274] Bump Standards-Version to 3.9.6

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Mon, 17 Dec 2018 16:23:09 +0100

dspam (3.10.2+dfsg-13) unstable; urgency=medium

  * debian/patches:
    + drop patch to introduce escape string constants. Although escaped, the
      only escape sequence contained in strings are made to be interpreted
      (Closes: #731093).
  * Bump Standards-Version to 3.9.5 (no changes needed).

 -- Thomas Preud'homme <robotux@debian.org>  Fri, 13 Dec 2013 19:11:00 +0800

dspam (3.10.2+dfsg-12) unstable; urgency=low

  * Close stdin, stdout and stderr when launching dspam daemon in dspam init
    script as dspam fails to do so (Closes: #726713).
  * Remove /var/log/dspam and /var/spool/dspam on purge (Closes: 729787).
  * debian/patches:
    + Enhance cssclean to fix corrupted css file (Closes: #722485).
    + Properly escape string constants in PostgreSQL driver (Closes: #719663).
    + drop patch to require legacy mode for string escaping in PostgreSQL.

 -- Thomas Preud'homme <robotux@debian.org>  Tue, 26 Nov 2013 22:28:14 +0800

dspam (3.10.2+dfsg-11) unstable; urgency=low

  * debian/patches:
    + Remove patch improving handling of malformed css file as it creates more
      problems than it solves in its current form.

 -- Thomas Preud'homme <robotux@debian.org>  Tue, 15 Oct 2013 04:59:39 +0200

dspam (3.10.2+dfsg-10) unstable; urgency=low

  * debian/patches:
    + Improve handling of malformed css file (Closes: #722484).

 -- Thomas Preud'homme <robotux@debian.org>  Wed, 25 Sep 2013 13:25:02 +0200

dspam (3.10.2+dfsg-9) unstable; urgency=low

  * Add patch 011_define_WCONTINUED_and_WIFCONTINUED_if_not_defined.diff to
    fix Hurd FTBFS.
  * Add patch 012_cssclean_dont_read_past_end_of_css_files.diff to prevent
    segfault of cssclean in case of malformed css file (Closes: #722057).
  * Fix metadata of patch
    009_fix_recipient_corruption_when_releasing_message_from_quarantine.diff
  * Update Vcs-* field to use the current canonical URI.

 -- Thomas Preud'homme <robotux@debian.org>  Tue, 10 Sep 2013 15:19:26 +0200

dspam (3.10.2+dfsg-8) unstable; urgency=low

  * Remove obsolete DM-Upload-Allowed flag.
  * debian/control:
    + Use real packages for the versionned Suggest dependency instead of
      virtual package libdspam7-drv.
    + Remove useless libdspam7-drv virtual package.
    + Wrap lines to 80 characters.
  * Drop elements for upgrade from pre-wheezy systems.
  * Create plpgsql only if it is not loaded yet (Closes: #702764).
  * Explicitly require legacy mode for string escaping in PostgreSQL since it
    now defaults to standard compliant mode (Closes: #694942).

 -- Thomas Preud'homme <robotux@debian.org>  Wed, 29 May 2013 15:58:22 +0200

dspam (3.10.1+dfsg-11) testing-proposed-updates; urgency=low

  * Create plpgsql only if it is not loaded yet (Closes: #702764).

 -- Thomas Preud'homme <robotux@debian.org>  Thu, 07 Mar 2013 10:25:49 +0100

dspam (3.10.1+dfsg-10) testing-proposed-updates; urgency=low

  * Explicitly require legacy mode for string escaping in PostgreSQL since it
    now defaults to standard compliant mode (Closes: #694942).
  * Fix error when creating database in PostgreSQL by creating plpgsql as
    extension instead of language.

 -- Thomas Preud'homme <robotux@debian.org>  Mon, 04 Mar 2013 13:56:45 +0100



=== debian/control ===
--- 
+++ 
@@ -1,19 +1,16 @@
 Source: dspam
 Section: mail
 Priority: optional
-Maintainer: Debian DSPAM Maintainers <pkg-dspam-misc@lists.alioth.debian.org>
-Uploaders: Julien Valroff <julien@debian.org>,
-           Thomas Preud'homme <robotux@debian.org>
-Build-Depends: debhelper (>= 9.0.0), dh-autoreconf, libtool, automake,
-               zlib1g-dev, libmysqlclient-dev, libpq-dev, libsqlite3-dev,
+Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
+Build-Depends: debhelper (>= 10),
+               zlib1g-dev, default-libmysqlclient-dev, libpq-dev, libsqlite3-dev,
                libldap2-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Homepage: http://dspam.sourceforge.net
-Vcs-Git: git://anonscm.debian.org/pkg-dspam/dspam.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-dspam/dspam.git;a=summary
 
 Package: dspam
 Architecture: any
+Pre-Depends: debconf (>= 0.5) | debconf-2.0
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends},
          lsb-base (>= 3.0-6), libdspam7-drv-hash (= ${binary:Version})
          | libdspam7-drv-mysql (= ${binary:Version})
@@ -43,7 +40,7 @@
           | libapache2-mod-auth-pgsql | libapache2-mod-auth-openid
           | libapache2-mod-auth-kerb | libapache2-mod-auth-plain
           | libapache2-mod-auth-radius | libapache2-mod-auth-sys-group,
-          ttf-dejavu-core | ttf-bitstream-vera | ttf-freefont
+          fonts-dejavu-core | ttf-bitstream-vera | fonts-freefont-ttf
 Description: Webfrontend for DSPAM anti-spam filter
  DSPAM is a dedicated statistical filter with minimal resources. It includes
  many new algorithms to fight against spam including:
@@ -123,8 +120,8 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}, libdspam7 (= ${binary:Version}),
-         dbconfig-common, ucf (>= 0.28), mysql-client
-Recommends: mysql-server
+         dbconfig-common, ucf (>= 0.28), mariadb-client | default-mysql-client
+Recommends: mariadb-server | default-mysql-server
 Description: MySQL backend for DSPAM anti-spam filter
  DSPAM is a dedicated statistical filter with minimal resources. It includes
  many new algorithms to fight against spam including:
@@ -133,7 +130,7 @@
   * Advanced de-obfuscation techniques
   * Bayesian Noise Reduction
  .
- This package contains the MySQL backend.
+ This package contains the MySQL / MariaDB backend.
 
 Package: libdspam7-drv-sqlite3
 Architecture: any
@@ -163,38 +160,3 @@
   * Bayesian Noise Reduction
  .
  This package contains the documentation for DSPAM.
-
-Package: dspam-dbg
-Section: debug
-Architecture: any
-Depends: ${misc:Depends}, dspam (= ${binary:Version})
-Priority: extra
-Description: debugging symbols for dspam
- DSPAM is a dedicated statistical filter with minimal resources. It includes
- many new algorithms to fight against spam including:
-  * Concept Identification
-  * Message Inoculation
-  * Advanced de-obfuscation techniques
-  * Bayesian Noise Reduction
- .
- This package includes the debugging symbols for the dspam package.
-
-Package: libdspam7-dbg
-Section: debug
-Architecture: any
-Depends: ${misc:Depends}, libdspam7 (= ${binary:Version})
-Recommends: libdspam7-drv-hash (= ${binary:Version}),
-            libdspam7-drv-mysql (= ${binary:Version}),
-            libdspam7-drv-pgsql (= ${binary:Version}),
-            libdspam7-drv-sqlite3 (= ${binary:Version})
-Suggests: libc-dbg
-Priority: extra
-Description: debugging symbols for DSPAM related libraries
- DSPAM is a dedicated statistical filter with minimal resources. It includes
- many new algorithms to fight against spam including:
-  * Concept Identification
-  * Message Inoculation
-  * Advanced de-obfuscation techniques
-  * Bayesian Noise Reduction
- .
- This package includes the debugging symbols for DSPAM related libraries.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Enable all hardening options
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Add some flags to the dynamic linker
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

# The first driver stated here will be used as the 
# default driver in dspam.conf
STORAGE = "hash_drv,mysql_drv,pgsql_drv,sqlite3_drv"

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--sysconfdir=/etc/dspam \
		--disable-dependency-tracking \
		--enable-split-configuration \
		--enable-static \
		--enable-external-lookup \
		--enable-syslog \
		--with-logdir=/var/log/dspam/ \
		--with-dspam-home=/var/spool/dspam \
		--enable-domain-scale \
		--with-delivery-agent=/usr/bin/procmail \
		--enable-daemon \
		--with-mysql-includes=/usr/include/mysql \
		--with-pgsql-includes=`pg_config --includedir` \
		--with-storage-driver=${STORAGE} \
		--enable-debug \
		--enable-virtual-users \
		--enable-preferences-extension \
		--enable-clamav

	# dh_install does not support renaming
	ln contrib/dspam_maintenance/dspam_maintenance.sh contrib/dspam_maintenance/dspam_maintenance

	# make sure we use the latest SQL schemas
	cat src/tools.mysql_drv/mysql_objects-4.1.sql > debian/sqlfiles/install/mysql
	cat src/tools.mysql_drv/virtual_users.sql >> debian/sqlfiles/install/mysql
	cat src/tools.pgsql_drv/pgsql_objects.sql > debian/sqlfiles/install/pgsql
	cat src/tools.pgsql_drv/virtual_users.sql >> debian/sqlfiles/install/pgsql

	# split the main configuration file into snippets 
	cp src/dspam.conf.in src/dspam.conf.in.orig
	./debian/split-config.sh

	# Generate debian/dspam-doc.docs
	cat debian/dspam-doc.docs.in > debian/dspam-doc.docs
	find doc/ -name "*.txt" | grep -v cssclean.txt | sort >> debian/dspam-doc.docs

override_dh_makeshlibs:
	dh_makeshlibs -Nlibdspam7-drv-hash -Nlibdspam7-drv-pgsql -Nlibdspam7-drv-mysql -Nlibdspam7-drv-sqlite3

override_dh_strip:
	dh_strip -pdspam --dbgsym-migration='dspam-dbg (<< 3.10.2+dfsg-14~)'
	dh_strip -plibdspam7 -plibdspam7-drv-hash -plibdspam7-drv-mysql -plibdspam7-drv-pgsql -plibdspam7-drv-sqlite3 --dbgsym-migration='libdspam7-dbg (<< 3.10.2+dfsg-14~)'
	dh_strip --remaining-packages

override_dh_installinit:
	dh_installinit --no-start

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) maintainer-clean

	-rm -f contrib/dspam_maintenance/dspam_maintenance

	# Remove DB schemas
	-rm -f debian/sqlfiles/install/mysql
	-rm -f debian/sqlfiles/install/pgsql

	# Remove splitted configuration files
	-rm -f src/extlookup.conf
	-rm -f src/hash.conf
	-rm -f src/mysql.conf
	-rm -f src/pgsql.conf
	-mv src/dspam.conf.in.orig src/dspam.conf.in

	# Remove dspam-doc.docs generated from dspam-doc.docs.in
	-rm -f debian/dspam-doc.docs
